Bug 251146 - New port: devel/transient Emacs key and popup interface for complex keybindings
Summary: New port: devel/transient Emacs key and popup interface for complex keybindings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks: 251148
  Show dependency treegraph
 
Reported: 2020-11-15 01:54 UTC by Yasuhiro Kimura
Modified: 2021-01-13 22:28 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (3.46 KB, patch)
2020-11-15 01:54 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (3.46 KB, patch)
2020-11-27 02:38 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (3.46 KB, patch)
2020-12-06 22:27 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (3.46 KB, patch)
2020-12-26 09:59 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-11-15 01:54:47 UTC
Created attachment 219695 [details]
Patch file

Transient is emacs key and popup interface for complex keybindings.

This is required by upcoming devel/magit-devel port.
Comment 1 Yasuhiro Kimura 2020-11-27 02:38:57 UTC
Created attachment 220021 [details]
Updated patch file

Update to latest snapshot.
Comment 2 Yasuhiro Kimura 2020-12-06 22:27:18 UTC
Created attachment 220327 [details]
Updated patch file

Update to latest snapshot.
Comment 3 Yasuhiro Kimura 2020-12-26 09:59:53 UTC
Created attachment 220938 [details]
Updated patch file

Update to latest snapshot.
Comment 4 commit-hook freebsd_committer 2021-01-13 22:23:13 UTC
A commit references this bug:

Author: jrm
Date: Wed Jan 13 22:23:11 UTC 2021
New revision: 561515
URL: https://svnweb.freebsd.org/changeset/ports/561515

Log:
  New port, devel/transient: Emacs key and popup interface

  PR:		251146
  Submitted by:	Yasuhiro Kimura <yasu@utahime.org> (maintainer)

Changes:
  head/devel/Makefile
  head/devel/transient/
  head/devel/transient/Makefile
  head/devel/transient/distinfo
  head/devel/transient/pkg-descr
  head/devel/transient/pkg-plist
Comment 5 Joseph Mingrone freebsd_committer 2021-01-13 22:28:11 UTC
Thanks.  Committed with a few tweaks.  Let me know if there are any problems.

- Follow 'Example 5.14. Using USE_GITHUB to Access a Commit Between Two Versions'
- Follow 'Chapter 15. Order of Variables in Port Makefiles' with the help of linters (portlint, portclippy, portfmt)